<script setup lang="ts">
import { useSalaryStore } from '../stores/salary'

const salaryStore = useSalaryStore()
</script>
<template>
  <v-table>
    <thead>
      <tr>
        <th class="text-left" style="background-color: #ffc26f; color: #000">Period</th>
        <th class="text-left" style="background-color: #ffc26f; color: #000">Employee ID</th>
        <th class="text-left" style="background-color: #ffc26f; color: #000">Name</th>
        <th class="text-left" style="background-color: #ffc26f; color: #000">Time Worked</th>
        <th class="text-left" style="background-color: #ffc26f; color: #000">Net Salary</th>
        <th class="text-left" style="background-color: #ffc26f; color: #000">State</th>
        <th class="text-left" style="background-color: #ffc26f; color: #000"></th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="item in salaryStore.pendingSlips" :key="item.id">
        <td>{{ item.period }}</td>
        <td>{{ item.employeeID }}</td>
        <td>{{ item.name }}</td>
        <td>{{ item.timeWorked }}</td>
        <td>{{ item.netSalary }}</td>
        <td>{{ item.state }}</td>
        <td>
          <v-btn elevation="0">
            <v-icon
              end
              class="mr-1"
              icon="mdi-dots-horizontal"
              @click="salaryStore.editItem(item)"
            ></v-icon>
          </v-btn>
        </td>
      </tr>
    </tbody>
  </v-table>
</template>
